import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::ApiGateway::BasePathMappingV2
 */
export declare function getBasePathMappingV2(args: GetBasePathMappingV2Args, opts?: pulumi.InvokeOptions): Promise<GetBasePathMappingV2Result>;
export interface GetBasePathMappingV2Args {
    /**
     * Amazon Resource Name (ARN) of the resource.
     */
    basePathMappingArn: string;
}
export interface GetBasePathMappingV2Result {
    /**
     * Amazon Resource Name (ARN) of the resource.
     */
    readonly basePathMappingArn?: string;
    /**
     * The ID of the API.
     */
    readonly restApiId?: string;
    /**
     * The name of the API's stage.
     */
    readonly stage?: string;
}
/**
 * Resource Type definition for AWS::ApiGateway::BasePathMappingV2
 */
export declare function getBasePathMappingV2Output(args: GetBasePathMappingV2OutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBasePathMappingV2Result>;
export interface GetBasePathMappingV2OutputArgs {
    /**
     * Amazon Resource Name (ARN) of the resource.
     */
    basePathMappingArn: pulumi.Input<string>;
}
