import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::AppSync::DomainNameApiAssociation
 */
export declare class DomainNameApiAssociation extends pulumi.CustomResource {
    /**
     * Get an existing DomainNameApiAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): DomainNameApiAssociation;
    /**
     * Returns true if the given object is an instance of DomainNameApiAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is DomainNameApiAssociation;
    readonly apiAssociationIdentifier: pulumi.Output<string>;
    /**
     * The API ID.
     */
    readonly apiId: pulumi.Output<string>;
    /**
     * The domain name.
     */
    readonly domainName: pulumi.Output<string>;
    /**
     * Create a DomainNameApiAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: DomainNameApiAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a DomainNameApiAssociation resource.
 */
export interface DomainNameApiAssociationArgs {
    /**
     * The API ID.
     */
    apiId: pulumi.Input<string>;
    /**
     * The domain name.
     */
    domainName: pulumi.Input<string>;
}
