import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::Connect::TrafficDistributionGroup
 */
export declare function getTrafficDistributionGroup(args: GetTrafficDistributionGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetTrafficDistributionGroupResult>;
export interface GetTrafficDistributionGroupArgs {
    /**
     * The identifier of the traffic distribution group.
     */
    trafficDistributionGroupArn: string;
}
export interface GetTrafficDistributionGroupResult {
    /**
     * The identifier of the Amazon Connect instance that has been replicated.
     */
    readonly instanceArn?: string;
    /**
     * If this is the default traffic distribution group.
     */
    readonly isDefault?: boolean;
    /**
     * The status of the traffic distribution group.
     */
    readonly status?: enums.connect.TrafficDistributionGroupStatus;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The identifier of the traffic distribution group.
     */
    readonly trafficDistributionGroupArn?: string;
}
/**
 * Resource Type definition for AWS::Connect::TrafficDistributionGroup
 */
export declare function getTrafficDistributionGroupOutput(args: GetTrafficDistributionGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrafficDistributionGroupResult>;
export interface GetTrafficDistributionGroupOutputArgs {
    /**
     * The identifier of the traffic distribution group.
     */
    trafficDistributionGroupArn: pulumi.Input<string>;
}
