import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::Detective::OrganizationAdmin
 */
export declare class OrganizationAdmin extends pulumi.CustomResource {
    /**
     * Get an existing OrganizationAdmin resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): OrganizationAdmin;
    /**
     * Returns true if the given object is an instance of OrganizationAdmin.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is OrganizationAdmin;
    /**
     * The account ID of the account that should be registered as your Organization's delegated administrator for Detective
     */
    readonly accountId: pulumi.Output<string>;
    /**
     * The Detective graph ARN
     */
    readonly graphArn: pulumi.Output<string>;
    /**
     * Create a OrganizationAdmin resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: OrganizationAdminArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a OrganizationAdmin resource.
 */
export interface OrganizationAdminArgs {
    /**
     * The account ID of the account that should be registered as your Organization's delegated administrator for Detective
     */
    accountId: pulumi.Input<string>;
}
