"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationChannel = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * This resource schema represents the NotificationChannel resource in the Amazon DevOps Guru.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myNotificationChannel = new aws_native.devopsguru.NotificationChannel("myNotificationChannel", {config: {
 *     filters: {
 *         messageTypes: [
 *             aws_native.devopsguru.NotificationChannelNotificationMessageType.NewInsight,
 *             aws_native.devopsguru.NotificationChannelNotificationMessageType.ClosedInsight,
 *             aws_native.devopsguru.NotificationChannelNotificationMessageType.SeverityUpgraded,
 *         ],
 *         severities: [
 *             aws_native.devopsguru.NotificationChannelInsightSeverity.Medium,
 *             aws_native.devopsguru.NotificationChannelInsightSeverity.High,
 *         ],
 *     },
 *     sns: {
 *         topicArn: "arn:aws:sns:us-east-1:123456789012:DefaultNotificationChannel",
 *     },
 * }});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myNotificationChannel1 = new aws_native.devopsguru.NotificationChannel("myNotificationChannel1", {config: {
 *     sns: {
 *         topicArn: "arn:aws:sns:us-east-1:123456789012:DefaultNotificationChannel",
 *     },
 * }});
 * const myNotificationChannel2 = new aws_native.devopsguru.NotificationChannel("myNotificationChannel2", {config: {
 *     sns: {
 *         topicArn: "arn:aws:sns:us-east-1:123456789012:DefaultNotificationChannel2",
 *     },
 * }});
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myNotificationChannel1 = new aws_native.devopsguru.NotificationChannel("myNotificationChannel1", {config: {
 *     sns: {
 *         topicArn: "arn:aws:sns:us-east-1:123456789012:DefaultNotificationChannel",
 *     },
 * }});
 * const myNotificationChannel2 = new aws_native.devopsguru.NotificationChannel("myNotificationChannel2", {config: {
 *     sns: {
 *         topicArn: "arn:aws:sns:us-east-1:123456789012:DefaultNotificationChannel2",
 *     },
 * }});
 *
 * ```
 */
class NotificationChannel extends pulumi.CustomResource {
    /**
     * Get an existing NotificationChannel resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new NotificationChannel(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of NotificationChannel.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === NotificationChannel.__pulumiType;
    }
    /**
     * Create a NotificationChannel resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.config === undefined) && !opts.urn) {
                throw new Error("Missing required property 'config'");
            }
            resourceInputs["config"] = args ? args.config : undefined;
            resourceInputs["awsId"] = undefined /*out*/;
        }
        else {
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["config"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["config"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(NotificationChannel.__pulumiType, name, resourceInputs, opts);
    }
}
exports.NotificationChannel = NotificationChannel;
/** @internal */
NotificationChannel.__pulumiType = 'aws-native:devopsguru:NotificationChannel';
//# sourceMappingURL=notificationChannel.js.map