import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::DHCPOptions
 */
export declare function getDhcpOptions(args: GetDhcpOptionsArgs, opts?: pulumi.InvokeOptions): Promise<GetDhcpOptionsResult>;
export interface GetDhcpOptionsArgs {
    /**
     * The ID of the DHCP options set.
     */
    dhcpOptionsId: string;
}
export interface GetDhcpOptionsResult {
    /**
     * The ID of the DHCP options set.
     */
    readonly dhcpOptionsId?: string;
    /**
     * Any tags assigned to the DHCP options set.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EC2::DHCPOptions
 */
export declare function getDhcpOptionsOutput(args: GetDhcpOptionsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDhcpOptionsResult>;
export interface GetDhcpOptionsOutputArgs {
    /**
     * The ID of the DHCP options set.
     */
    dhcpOptionsId: pulumi.Input<string>;
}
