import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::EC2::NetworkInsightsAccessScopeAnalysis
 */
export declare function getNetworkInsightsAccessScopeAnalysis(args: GetNetworkInsightsAccessScopeAnalysisArgs, opts?: pulumi.InvokeOptions): Promise<GetNetworkInsightsAccessScopeAnalysisResult>;
export interface GetNetworkInsightsAccessScopeAnalysisArgs {
    /**
     * The ID of the Network Access Scope analysis.
     */
    networkInsightsAccessScopeAnalysisId: string;
}
export interface GetNetworkInsightsAccessScopeAnalysisResult {
    /**
     * The number of network interfaces analyzed.
     */
    readonly analyzedEniCount?: number;
    /**
     * The end date of the analysis.
     */
    readonly endDate?: string;
    /**
     * Indicates whether there are findings (true | false | unknown).
     */
    readonly findingsFound?: enums.ec2.NetworkInsightsAccessScopeAnalysisFindingsFound;
    /**
     * The ARN of the Network Access Scope analysis.
     */
    readonly networkInsightsAccessScopeAnalysisArn?: string;
    /**
     * The ID of the Network Access Scope analysis.
     */
    readonly networkInsightsAccessScopeAnalysisId?: string;
    /**
     * The start date of the analysis.
     */
    readonly startDate?: string;
    /**
     * The status of the analysis (running | succeeded | failed).
     */
    readonly status?: enums.ec2.NetworkInsightsAccessScopeAnalysisStatus;
    /**
     * The status message.
     */
    readonly statusMessage?: string;
    /**
     * The tags.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::EC2::NetworkInsightsAccessScopeAnalysis
 */
export declare function getNetworkInsightsAccessScopeAnalysisOutput(args: GetNetworkInsightsAccessScopeAnalysisOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNetworkInsightsAccessScopeAnalysisResult>;
export interface GetNetworkInsightsAccessScopeAnalysisOutputArgs {
    /**
     * The ID of the Network Access Scope analysis.
     */
    networkInsightsAccessScopeAnalysisId: pulumi.Input<string>;
}
