import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Attaches an elastic network interface (ENI) to an Amazon EC2 instance. You can use this resource type to attach additional network interfaces to an instance without interruption.
 */
export declare function getNetworkInterfaceAttachment(args: GetNetworkInterfaceAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetNetworkInterfaceAttachmentResult>;
export interface GetNetworkInterfaceAttachmentArgs {
    /**
     * The ID of the network interface attachment.
     */
    attachmentId: string;
}
export interface GetNetworkInterfaceAttachmentResult {
    /**
     * The ID of the network interface attachment.
     */
    readonly attachmentId?: string;
    /**
     * Whether to delete the network interface when the instance terminates. By default, this value is set to ``true``.
     */
    readonly deleteOnTermination?: boolean;
    /**
     * Configures ENA Express for the network interface that this action attaches to the instance.
     */
    readonly enaSrdSpecification?: outputs.ec2.NetworkInterfaceAttachmentEnaSrdSpecification;
}
/**
 * Attaches an elastic network interface (ENI) to an Amazon EC2 instance. You can use this resource type to attach additional network interfaces to an instance without interruption.
 */
export declare function getNetworkInterfaceAttachmentOutput(args: GetNetworkInterfaceAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNetworkInterfaceAttachmentResult>;
export interface GetNetworkInterfaceAttachmentOutputArgs {
    /**
     * The ID of the network interface attachment.
     */
    attachmentId: pulumi.Input<string>;
}
