import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::EC2::SubnetCidrBlock resource creates association between subnet and IPv6 CIDR
 */
export declare function getSubnetCidrBlock(args: GetSubnetCidrBlockArgs, opts?: pulumi.InvokeOptions): Promise<GetSubnetCidrBlockResult>;
export interface GetSubnetCidrBlockArgs {
    /**
     * Information about the IPv6 association.
     */
    id: string;
}
export interface GetSubnetCidrBlockResult {
    /**
     * Information about the IPv6 association.
     */
    readonly id?: string;
    /**
     * The IP Source of an IPv6 Subnet CIDR Block.
     */
    readonly ipSource?: string;
    /**
     * The value denoting whether an IPv6 Subnet CIDR Block is public or private.
     */
    readonly ipv6AddressAttribute?: string;
}
/**
 * The AWS::EC2::SubnetCidrBlock resource creates association between subnet and IPv6 CIDR
 */
export declare function getSubnetCidrBlockOutput(args: GetSubnetCidrBlockOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSubnetCidrBlockResult>;
export interface GetSubnetCidrBlockOutputArgs {
    /**
     * Information about the IPv6 association.
     */
    id: pulumi.Input<string>;
}
