import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * A dimension can be used to limit the scope of a metric used in a security profile for AWS IoT Device Defender.
 */
export declare function getDimension(args: GetDimensionArgs, opts?: pulumi.InvokeOptions): Promise<GetDimensionResult>;
export interface GetDimensionArgs {
    /**
     * A unique identifier for the dimension.
     */
    name: string;
}
export interface GetDimensionResult {
    /**
     * The ARN (Amazon resource name) of the created dimension.
     */
    readonly arn?: string;
    /**
     * Specifies the value or list of values for the dimension.
     */
    readonly stringValues?: string[];
    /**
     * Metadata that can be used to manage the dimension.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * A dimension can be used to limit the scope of a metric used in a security profile for AWS IoT Device Defender.
 */
export declare function getDimensionOutput(args: GetDimensionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDimensionResult>;
export interface GetDimensionOutputArgs {
    /**
     * A unique identifier for the dimension.
     */
    name: pulumi.Input<string>;
}
