"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scene = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::IoTTwinMaker::Scene
 */
class Scene extends pulumi.CustomResource {
    /**
     * Get an existing Scene resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Scene(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Scene.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Scene.__pulumiType;
    }
    /**
     * Create a Scene resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.contentLocation === undefined) && !opts.urn) {
                throw new Error("Missing required property 'contentLocation'");
            }
            if ((!args || args.sceneId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'sceneId'");
            }
            if ((!args || args.workspaceId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'workspaceId'");
            }
            resourceInputs["capabilities"] = args ? args.capabilities : undefined;
            resourceInputs["contentLocation"] = args ? args.contentLocation : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["sceneId"] = args ? args.sceneId : undefined;
            resourceInputs["sceneMetadata"] = args ? args.sceneMetadata : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["workspaceId"] = args ? args.workspaceId : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["creationDateTime"] = undefined /*out*/;
            resourceInputs["generatedSceneMetadata"] = undefined /*out*/;
            resourceInputs["updateDateTime"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["capabilities"] = undefined /*out*/;
            resourceInputs["contentLocation"] = undefined /*out*/;
            resourceInputs["creationDateTime"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["generatedSceneMetadata"] = undefined /*out*/;
            resourceInputs["sceneId"] = undefined /*out*/;
            resourceInputs["sceneMetadata"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["updateDateTime"] = undefined /*out*/;
            resourceInputs["workspaceId"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["sceneId", "workspaceId"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Scene.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Scene = Scene;
/** @internal */
Scene.__pulumiType = 'aws-native:iottwinmaker:Scene';
//# sourceMappingURL=scene.js.map