import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IVS::EncoderConfiguration.
 */
export declare function getEncoderConfiguration(args: GetEncoderConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetEncoderConfigurationResult>;
export interface GetEncoderConfigurationArgs {
    /**
     * Encoder configuration identifier.
     */
    arn: string;
}
export interface GetEncoderConfigurationResult {
    /**
     * Encoder configuration identifier.
     */
    readonly arn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IVS::EncoderConfiguration.
 */
export declare function getEncoderConfigurationOutput(args: GetEncoderConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEncoderConfigurationResult>;
export interface GetEncoderConfigurationOutputArgs {
    /**
     * Encoder configuration identifier.
     */
    arn: pulumi.Input<string>;
}
