import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IVS::StreamKey
 */
export declare function getStreamKey(args: GetStreamKeyArgs, opts?: pulumi.InvokeOptions): Promise<GetStreamKeyResult>;
export interface GetStreamKeyArgs {
    /**
     * Stream Key ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: string;
}
export interface GetStreamKeyResult {
    /**
     * Stream Key ARN is automatically generated on creation and assigned as the unique identifier.
     */
    readonly arn?: string;
    /**
     * A list of key-value pairs that contain metadata for the asset model.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Stream-key value.
     */
    readonly value?: string;
}
/**
 * Resource Type definition for AWS::IVS::StreamKey
 */
export declare function getStreamKeyOutput(args: GetStreamKeyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStreamKeyResult>;
export interface GetStreamKeyOutputArgs {
    /**
     * Stream Key ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: pulumi.Input<string>;
}
