import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Lightsail::InstanceSnapshot
 */
export declare function getInstanceSnapshot(args: GetInstanceSnapshotArgs, opts?: pulumi.InvokeOptions): Promise<GetInstanceSnapshotResult>;
export interface GetInstanceSnapshotArgs {
    /**
     * The name of the snapshot.
     */
    instanceSnapshotName: string;
}
export interface GetInstanceSnapshotResult {
    /**
     * The Amazon Resource Name (ARN) of the snapshot.
     */
    readonly arn?: string;
    /**
     * The Amazon Resource Name (ARN) of the instance from which the snapshot was created.
     */
    readonly fromInstanceArn?: string;
    /**
     * The instance from which the snapshot was created.
     */
    readonly fromInstanceName?: string;
    /**
     * A Boolean value indicating whether the snapshot was created from an automatic snapshot.
     */
    readonly isFromAutoSnapshot?: boolean;
    readonly location?: outputs.lightsail.InstanceSnapshotLocation;
    /**
     * The type of resource (usually InstanceSnapshot).
     */
    readonly resourceType?: string;
    /**
     * The size in GB of the SSD
     */
    readonly sizeInGb?: number;
    /**
     * The state the snapshot is in.
     */
    readonly state?: string;
    /**
     * Support code to help identify any issues
     */
    readonly supportCode?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Lightsail::InstanceSnapshot
 */
export declare function getInstanceSnapshotOutput(args: GetInstanceSnapshotOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInstanceSnapshotResult>;
export interface GetInstanceSnapshotOutputArgs {
    /**
     * The name of the snapshot.
     */
    instanceSnapshotName: pulumi.Input<string>;
}
