import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Lightsail::StaticIp
 */
export declare function getStaticIp(args: GetStaticIpArgs, opts?: pulumi.InvokeOptions): Promise<GetStaticIpResult>;
export interface GetStaticIpArgs {
    /**
     * The name of the static IP address.
     */
    staticIpName: string;
}
export interface GetStaticIpResult {
    /**
     * The instance where the static IP is attached.
     */
    readonly attachedTo?: string;
    /**
     * The static IP address.
     */
    readonly ipAddress?: string;
    /**
     * A Boolean value indicating whether the static IP is attached.
     */
    readonly isAttached?: boolean;
    /**
     * The Amazon Resource Name (ARN) of the static IP (for example, `arn:aws:lightsail:us-east-2:123456789101:StaticIp/244ad76f-8aad-4741-809f-12345EXAMPLE` ).
     */
    readonly staticIpArn?: string;
}
/**
 * Resource Type definition for AWS::Lightsail::StaticIp
 */
export declare function getStaticIpOutput(args: GetStaticIpOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStaticIpResult>;
export interface GetStaticIpOutputArgs {
    /**
     * The name of the static IP address.
     */
    staticIpName: pulumi.Input<string>;
}
