import * as pulumi from "@pulumi/pulumi";
/**
 * Represents an application that runs on an AWS Mainframe Modernization Environment
 */
export declare function getApplication(args: GetApplicationArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationResult>;
export interface GetApplicationArgs {
    /**
     * The Amazon Resource Name (ARN) of the application.
     */
    applicationArn: string;
}
export interface GetApplicationResult {
    /**
     * The Amazon Resource Name (ARN) of the application.
     */
    readonly applicationArn?: string;
    /**
     * The identifier of the application.
     */
    readonly applicationId?: string;
    /**
     * The description of the application.
     */
    readonly description?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     *
     * For more information, see [Tag](https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-resource-tags.html) .
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Represents an application that runs on an AWS Mainframe Modernization Environment
 */
export declare function getApplicationOutput(args: GetApplicationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationResult>;
export interface GetApplicationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the application.
     */
    applicationArn: pulumi.Input<string>;
}
