import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Macie AllowList resource schema
 */
export declare function getAllowList(args: GetAllowListArgs, opts?: pulumi.InvokeOptions): Promise<GetAllowListResult>;
export interface GetAllowListArgs {
    /**
     * AllowList ID.
     */
    id: string;
}
export interface GetAllowListResult {
    /**
     * AllowList ARN.
     */
    readonly arn?: string;
    /**
     * AllowList criteria.
     */
    readonly criteria?: outputs.macie.AllowListCriteria;
    /**
     * Description of AllowList.
     */
    readonly description?: string;
    /**
     * AllowList ID.
     */
    readonly id?: string;
    /**
     * Name of AllowList.
     */
    readonly name?: string;
    /**
     * AllowList status.
     */
    readonly status?: enums.macie.AllowListStatus;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Macie AllowList resource schema
 */
export declare function getAllowListOutput(args: GetAllowListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAllowListResult>;
export interface GetAllowListOutputArgs {
    /**
     * AllowList ID.
     */
    id: pulumi.Input<string>;
}
