import * as pulumi from "@pulumi/pulumi";
/**
 * <p>Represents a resource-based policy that allows or denies access to a channel.</p>
 */
export declare function getChannelPolicy(args: GetChannelPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetChannelPolicyResult>;
export interface GetChannelPolicyArgs {
    /**
     * The name of the channel group associated with the channel policy.
     */
    channelGroupName: string;
    /**
     * The name of the channel associated with the channel policy.
     */
    channelName: string;
}
export interface GetChannelPolicyResult {
    /**
     * The policy associated with the channel.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::MediaPackageV2::ChannelPolicy` for more information about the expected schema for this property.
     */
    readonly policy?: any;
}
/**
 * <p>Represents a resource-based policy that allows or denies access to a channel.</p>
 */
export declare function getChannelPolicyOutput(args: GetChannelPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetChannelPolicyResult>;
export interface GetChannelPolicyOutputArgs {
    /**
     * The name of the channel group associated with the channel policy.
     */
    channelGroupName: pulumi.Input<string>;
    /**
     * The name of the channel associated with the channel policy.
     */
    channelName: pulumi.Input<string>;
}
