import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource type definition for AWS::NetworkFirewall::LoggingConfiguration
 */
export declare function getLoggingConfiguration(args: GetLoggingConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetLoggingConfigurationResult>;
export interface GetLoggingConfigurationArgs {
    /**
     * The Amazon Resource Name (ARN) of the `Firewall` that the logging configuration is associated with. You can't change the firewall specification after you create the logging configuration.
     */
    firewallArn: string;
}
export interface GetLoggingConfigurationResult {
    /**
     * Defines how AWS Network Firewall performs logging for a `Firewall` .
     */
    readonly loggingConfiguration?: outputs.networkfirewall.LoggingConfiguration;
}
/**
 * Resource type definition for AWS::NetworkFirewall::LoggingConfiguration
 */
export declare function getLoggingConfigurationOutput(args: GetLoggingConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLoggingConfigurationResult>;
export interface GetLoggingConfigurationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the `Firewall` that the logging configuration is associated with. You can't change the firewall specification after you create the logging configuration.
     */
    firewallArn: pulumi.Input<string>;
}
