import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::StudioComponent
 */
export declare class StudioComponent extends pulumi.CustomResource {
    /**
     * Get an existing StudioComponent resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): StudioComponent;
    /**
     * Returns true if the given object is an instance of StudioComponent.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is StudioComponent;
    readonly configuration: pulumi.Output<outputs.nimblestudio.StudioComponentConfiguration | undefined>;
    readonly description: pulumi.Output<string | undefined>;
    readonly ec2SecurityGroupIds: pulumi.Output<string[] | undefined>;
    readonly initializationScripts: pulumi.Output<outputs.nimblestudio.StudioComponentInitializationScript[] | undefined>;
    readonly name: pulumi.Output<string>;
    readonly scriptParameters: pulumi.Output<outputs.nimblestudio.StudioComponentScriptParameterKeyValue[] | undefined>;
    readonly studioComponentId: pulumi.Output<string>;
    readonly studioId: pulumi.Output<string>;
    readonly subtype: pulumi.Output<string | undefined>;
    readonly tags: pulumi.Output<{
        [key: string]: string;
    } | undefined>;
    readonly type: pulumi.Output<string>;
    /**
     * Create a StudioComponent resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: StudioComponentArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a StudioComponent resource.
 */
export interface StudioComponentArgs {
    configuration?: pulumi.Input<inputs.nimblestudio.StudioComponentConfigurationArgs>;
    description?: pulumi.Input<string>;
    ec2SecurityGroupIds?: pulumi.Input<pulumi.Input<string>[]>;
    initializationScripts?: pulumi.Input<pulumi.Input<inputs.nimblestudio.StudioComponentInitializationScriptArgs>[]>;
    name?: pulumi.Input<string>;
    scriptParameters?: pulumi.Input<pulumi.Input<inputs.nimblestudio.StudioComponentScriptParameterKeyValueArgs>[]>;
    studioId: pulumi.Input<string>;
    subtype?: pulumi.Input<string>;
    tags?: pulumi.Input<{
        [key: string]: pulumi.Input<string>;
    }>;
    type: pulumi.Input<string>;
}
