import * as pulumi from "@pulumi/pulumi";
/**
 * AWS::RoboMaker::RobotApplicationVersion resource creates an AWS RoboMaker RobotApplicationVersion. This helps you control which code your robot uses.
 */
export declare function getRobotApplicationVersion(args: GetRobotApplicationVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetRobotApplicationVersionResult>;
export interface GetRobotApplicationVersionArgs {
    /**
     * The Amazon Resource Name (ARN) of the robot application version.
     */
    arn: string;
}
export interface GetRobotApplicationVersionResult {
    /**
     * The robot application version.
     */
    readonly applicationVersion?: string;
    /**
     * The Amazon Resource Name (ARN) of the robot application version.
     */
    readonly arn?: string;
}
/**
 * AWS::RoboMaker::RobotApplicationVersion resource creates an AWS RoboMaker RobotApplicationVersion. This helps you control which code your robot uses.
 */
export declare function getRobotApplicationVersionOutput(args: GetRobotApplicationVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRobotApplicationVersionResult>;
export interface GetRobotApplicationVersionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the robot application version.
     */
    arn: pulumi.Input<string>;
}
