import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::ResolverQueryLoggingConfigAssociation.
 */
export declare class ResolverQueryLoggingConfigAssociation extends pulumi.CustomResource {
    /**
     * Get an existing ResolverQueryLoggingConfigAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ResolverQueryLoggingConfigAssociation;
    /**
     * Returns true if the given object is an instance of ResolverQueryLoggingConfigAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ResolverQueryLoggingConfigAssociation;
    /**
     * Id
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * Rfc3339TimeString
     */
    readonly creationTime: pulumi.Output<string>;
    /**
     * ResolverQueryLogConfigAssociationError
     */
    readonly error: pulumi.Output<enums.route53resolver.ResolverQueryLoggingConfigAssociationError>;
    /**
     * ResolverQueryLogConfigAssociationErrorMessage
     */
    readonly errorMessage: pulumi.Output<string>;
    /**
     * ResolverQueryLogConfigId
     */
    readonly resolverQueryLogConfigId: pulumi.Output<string | undefined>;
    /**
     * ResourceId
     */
    readonly resourceId: pulumi.Output<string | undefined>;
    /**
     * ResolverQueryLogConfigAssociationStatus
     */
    readonly status: pulumi.Output<enums.route53resolver.ResolverQueryLoggingConfigAssociationStatus>;
    /**
     * Create a ResolverQueryLoggingConfigAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: ResolverQueryLoggingConfigAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ResolverQueryLoggingConfigAssociation resource.
 */
export interface ResolverQueryLoggingConfigAssociationArgs {
    /**
     * ResolverQueryLogConfigId
     */
    resolverQueryLogConfigId?: pulumi.Input<string>;
    /**
     * ResourceId
     */
    resourceId?: pulumi.Input<string>;
}
