import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::S3Express::BucketPolicy.
 */
export declare function getBucketPolicy(args: GetBucketPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetBucketPolicyResult>;
export interface GetBucketPolicyArgs {
    /**
     * The name of the S3 directory bucket to which the policy applies.
     */
    bucket: string;
}
export interface GetBucketPolicyResult {
    /**
     * A policy document containing permissions to add to the specified bucket. In IAM, you must provide policy documents in JSON format. However, in CloudFormation you can provide the policy in JSON or YAML format because CloudFormation converts YAML to JSON before submitting it to IAM.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::S3Express::BucketPolicy` for more information about the expected schema for this property.
     */
    readonly policyDocument?: any;
}
/**
 * Resource Type definition for AWS::S3Express::BucketPolicy.
 */
export declare function getBucketPolicyOutput(args: GetBucketPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBucketPolicyResult>;
export interface GetBucketPolicyOutputArgs {
    /**
     * The name of the S3 directory bucket to which the policy applies.
     */
    bucket: pulumi.Input<string>;
}
