import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::SES::MailManagerRelay Resource Type
 */
export declare function getMailManagerRelay(args: GetMailManagerRelayArgs, opts?: pulumi.InvokeOptions): Promise<GetMailManagerRelayResult>;
export interface GetMailManagerRelayArgs {
    /**
     * The unique relay identifier.
     */
    relayId: string;
}
export interface GetMailManagerRelayResult {
    /**
     * Authentication for the relay destination server—specify the secretARN where the SMTP credentials are stored.
     */
    readonly authentication?: outputs.ses.MailManagerRelayRelayAuthentication0Properties | outputs.ses.MailManagerRelayRelayAuthentication1Properties;
    /**
     * The Amazon Resource Name (ARN) of the relay.
     */
    readonly relayArn?: string;
    /**
     * The unique relay identifier.
     */
    readonly relayId?: string;
    /**
     * The unique relay name.
     */
    readonly relayName?: string;
    /**
     * The destination relay server address.
     */
    readonly serverName?: string;
    /**
     * The destination relay server port.
     */
    readonly serverPort?: number;
    /**
     * The tags used to organize, track, or control access for the resource. For example, { "tags": {"key1":"value1", "key2":"value2"} }.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::SES::MailManagerRelay Resource Type
 */
export declare function getMailManagerRelayOutput(args: GetMailManagerRelayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMailManagerRelayResult>;
export interface GetMailManagerRelayOutputArgs {
    /**
     * The unique relay identifier.
     */
    relayId: pulumi.Input<string>;
}
