import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Engagement Plan for a SSM Incident Manager Contact.
 */
export declare function getPlan(args: GetPlanArgs, opts?: pulumi.InvokeOptions): Promise<GetPlanResult>;
export interface GetPlanArgs {
    /**
     * The Amazon Resource Name (ARN) of the contact.
     */
    arn: string;
}
export interface GetPlanResult {
    /**
     * The Amazon Resource Name (ARN) of the contact.
     */
    readonly arn?: string;
    /**
     * The stages that an escalation plan or engagement plan engages contacts and contact methods in.
     */
    readonly stages?: outputs.ssmcontacts.PlanStage[];
}
/**
 * Engagement Plan for a SSM Incident Manager Contact.
 */
export declare function getPlanOutput(args: GetPlanOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPlanResult>;
export interface GetPlanOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the contact.
     */
    arn: pulumi.Input<string>;
}
