export declare const PolicyFirewallDeploymentModel: {
    readonly Distributed: "DISTRIBUTED";
    readonly Centralized: "CENTRALIZED";
};
/**
 * Firewall deployment mode.
 */
export type PolicyFirewallDeploymentModel = (typeof PolicyFirewallDeploymentModel)[keyof typeof PolicyFirewallDeploymentModel];
export declare const PolicyNetworkAclEntryRuleAction: {
    readonly Allow: "allow";
    readonly Deny: "deny";
};
/**
 * Rule Action.
 */
export type PolicyNetworkAclEntryRuleAction = (typeof PolicyNetworkAclEntryRuleAction)[keyof typeof PolicyNetworkAclEntryRuleAction];
export declare const PolicyResourceTagLogicalOperator: {
    readonly And: "AND";
    readonly Or: "OR";
};
/**
 * Specifies whether to combine multiple resource tags with AND, so that a resource must have all tags to be included or excluded, or OR, so that a resource must have at least one tag.
 *
 * Default: `AND`
 */
export type PolicyResourceTagLogicalOperator = (typeof PolicyResourceTagLogicalOperator)[keyof typeof PolicyResourceTagLogicalOperator];
export declare const PolicyType: {
    readonly Waf: "WAF";
    readonly Wafv2: "WAFV2";
    readonly ShieldAdvanced: "SHIELD_ADVANCED";
    readonly SecurityGroupsCommon: "SECURITY_GROUPS_COMMON";
    readonly SecurityGroupsContentAudit: "SECURITY_GROUPS_CONTENT_AUDIT";
    readonly SecurityGroupsUsageAudit: "SECURITY_GROUPS_USAGE_AUDIT";
    readonly NetworkFirewall: "NETWORK_FIREWALL";
    readonly ThirdPartyFirewall: "THIRD_PARTY_FIREWALL";
    readonly DnsFirewall: "DNS_FIREWALL";
    readonly ImportNetworkFirewall: "IMPORT_NETWORK_FIREWALL";
    readonly NetworkAclCommon: "NETWORK_ACL_COMMON";
};
/**
 * Firewall policy type.
 */
export type PolicyType = (typeof PolicyType)[keyof typeof PolicyType];
