export declare const DatasetAttributesItemPropertiesAttributeType: {
    readonly String: "string";
    readonly Integer: "integer";
    readonly Float: "float";
    readonly Timestamp: "timestamp";
    readonly Geolocation: "geolocation";
};
/**
 * Data type of the field
 */
export type DatasetAttributesItemPropertiesAttributeType = (typeof DatasetAttributesItemPropertiesAttributeType)[keyof typeof DatasetAttributesItemPropertiesAttributeType];
export declare const DatasetDomain: {
    readonly Retail: "RETAIL";
    readonly Custom: "CUSTOM";
    readonly InventoryPlanning: "INVENTORY_PLANNING";
    readonly Ec2Capacity: "EC2_CAPACITY";
    readonly WorkForce: "WORK_FORCE";
    readonly WebTraffic: "WEB_TRAFFIC";
    readonly Metrics: "METRICS";
};
/**
 * The domain associated with the dataset
 */
export type DatasetDomain = (typeof DatasetDomain)[keyof typeof DatasetDomain];
export declare const DatasetGroupDomain: {
    readonly Retail: "RETAIL";
    readonly Custom: "CUSTOM";
    readonly InventoryPlanning: "INVENTORY_PLANNING";
    readonly Ec2Capacity: "EC2_CAPACITY";
    readonly WorkForce: "WORK_FORCE";
    readonly WebTraffic: "WEB_TRAFFIC";
    readonly Metrics: "METRICS";
};
/**
 * The domain associated with the dataset group. When you add a dataset to a dataset group, this value and the value specified for the Domain parameter of the CreateDataset operation must match.
 */
export type DatasetGroupDomain = (typeof DatasetGroupDomain)[keyof typeof DatasetGroupDomain];
export declare const DatasetType: {
    readonly TargetTimeSeries: "TARGET_TIME_SERIES";
    readonly RelatedTimeSeries: "RELATED_TIME_SERIES";
    readonly ItemMetadata: "ITEM_METADATA";
};
/**
 * The dataset type
 */
export type DatasetType = (typeof DatasetType)[keyof typeof DatasetType];
