export declare const CloudFormationProvisionedProductAcceptLanguage: {
    readonly En: "en";
    readonly Jp: "jp";
    readonly Zh: "zh";
};
/**
 * The language code.
 *
 * - `jp` - Japanese
 * - `zh` - Chinese
 */
export type CloudFormationProvisionedProductAcceptLanguage = (typeof CloudFormationProvisionedProductAcceptLanguage)[keyof typeof CloudFormationProvisionedProductAcceptLanguage];
export declare const CloudFormationProvisionedProductProvisioningPreferencesStackSetOperationType: {
    readonly Create: "CREATE";
    readonly Update: "UPDATE";
    readonly Delete: "DELETE";
};
/**
 * Determines what action AWS Service Catalog performs to a stack set or a stack instance represented by the provisioned product. The default value is `UPDATE` if nothing is specified.
 *
 * Applicable only to a `CFN_STACKSET` provisioned product type.
 *
 * - **CREATE** - Creates a new stack instance in the stack set represented by the provisioned product. In this case, only new stack instances are created based on accounts and Regions; if new ProductId or ProvisioningArtifactID are passed, they will be ignored.
 * - **UPDATE** - Updates the stack set represented by the provisioned product and also its stack instances.
 * - **DELETE** - Deletes a stack instance in the stack set represented by the provisioned product.
 */
export type CloudFormationProvisionedProductProvisioningPreferencesStackSetOperationType = (typeof CloudFormationProvisionedProductProvisioningPreferencesStackSetOperationType)[keyof typeof CloudFormationProvisionedProductProvisioningPreferencesStackSetOperationType];
export declare const ServiceActionAcceptLanguage: {
    readonly En: "en";
    readonly Jp: "jp";
    readonly Zh: "zh";
};
/**
 * The language code.
 *
 * - `en` - English (default)
 * - `jp` - Japanese
 * - `zh` - Chinese
 */
export type ServiceActionAcceptLanguage = (typeof ServiceActionAcceptLanguage)[keyof typeof ServiceActionAcceptLanguage];
export declare const ServiceActionDefinitionType: {
    readonly SsmAutomation: "SSM_AUTOMATION";
};
/**
 * The self-service action definition type. For example, `SSM_AUTOMATION` .
 */
export type ServiceActionDefinitionType = (typeof ServiceActionDefinitionType)[keyof typeof ServiceActionDefinitionType];
